window.Gleam.initSearch([{"doc":"gleamy_lights","title":"gleamy_lights","content":"# gleamy_lights\n\n[![Package Version](https://img.shields.io/hexpm/v/gleamy_lights)](https://hex.pm/packages/gleamy_lights)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleamy_lights/)\n\nColored terminal output for Gleam.\n\n```sh\ngleam add gleamy_lights@2\n```\n\n```gleam\nimport gleam/io\nimport gleamy_lights\nimport gleamy_lights/premixed.{bg_green, text_orange}\nimport gleamy_lights/premixed/gleam_colors\n\npub fn main() {\n  io.println(\n    text_orange(&quot;Hello, &quot;)\n    &lt;&gt; gleamy_lights.by_hexcolor_bg(&quot;world&quot;, &quot;#aa88ff&quot;)\n    &lt;&gt; bg_green(&quot;!&quot;),\n  )\n  io.println(\n    &quot;This is a &quot;\n    &lt;&gt; gleam_colors.bg_underwater_blue_gl(gleam_colors.text_faff_pink_gl(\n      &quot;gleamy&quot;,\n    ))\n    &lt;&gt; &quot; world.&quot;,\n  )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gleamy_lights&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"gleamy_lights","title":"gleamy_lights","content":"\n# Changelog\n\n\n## Unreleased changes\n            \nNo unreleased changes.\n\n## Releases\n\n\n\r\n### 2.0.1\n-  **&lt;span style=&quot;color: #9900cc&quot;&gt;Update&lt;/span&gt;**: Documentation issues solved\n\r\n\r\n### 2.0.0\n-  **&lt;span style=&quot;color: #336600&quot;&gt;Addition&lt;/span&gt;**: Added Gleam color palette\n\r- &lt;span style=&quot;color: red; background-color: #ffcc00&quot;&gt;BREAKING!&lt;/span&gt; **&lt;span style=&quot;color: #0033cc&quot;&gt;Update&lt;/span&gt;**: Move premixes into own module\n\r\n\r\n### 1.1.0\n-  **&lt;span style=&quot;color: #336600&quot;&gt;Addition&lt;/span&gt;**: 6-digit hex color support\n\r-  **&lt;span style=&quot;color: #336600&quot;&gt;Addition&lt;/span&gt;**: Background support\n\r\n\r\n### 1.0.0\n-  **&lt;span style=&quot;color: #336600&quot;&gt;Addition&lt;/span&gt;**: initial release\n\r\n\n&lt;hr&gt;\n            \nThis file was auto generated by [&lt;span style=&quot;background-color: #24273a; color: #ffcc00&quot;&gt;Bananen! 🍌&lt;/span&gt;](https://github.com/strawmelonjuice/bananen/) `v0.1.8`\n.","url":"changelog"},{"doc":"gleamy_lights","title":"by_hexcolor","content":"pub fn by_hexcolor(msg: String, hexcolor: String) -&gt; String\n # By Hexcolor\n Given a message and a hex color, return the message with the color applied.\n\n Will return black if the hex color is invalid.\nSynonyms:\ngleamy_lights.by_hexcolor\ngleamy_lights by_hexcolor","url":"gleamy_lights.html#by_hexcolor"},{"doc":"gleamy_lights","title":"by_hexcolor_bg","content":"pub fn by_hexcolor_bg(msg: String, hexcolor: String) -&gt; String\n # By Hexcolor - Background\n Given a message and a hex color, return the message with the background color applied.\n Will return black if the hex color is invalid.\nSynonyms:\ngleamy_lights.by_hexcolor_bg\ngleamy_lights by_hexcolor_bg","url":"gleamy_lights.html#by_hexcolor_bg"},{"doc":"gleamy_lights","title":"by_rgb","content":"pub fn by_rgb(msg: String, r: Int, g: Int, b: Int) -&gt; String\n # By RGB\n Given a message and an RGB color, return the message with the color applied.\n The RGB values should be between 0 and 255.\nSynonyms:\ngleamy_lights.by_rgb\ngleamy_lights by_rgb","url":"gleamy_lights.html#by_rgb"},{"doc":"gleamy_lights","title":"by_rgb_bg","content":"pub fn by_rgb_bg(msg: String, r: Int, g: Int, b: Int) -&gt; String\n # By RGB - Background\n Given a message and an RGB color, return the message with the background color applied.\n The RGB values should be between 0 and 255.\nSynonyms:\ngleamy_lights.by_rgb_bg\ngleamy_lights by_rgb_bg","url":"gleamy_lights.html#by_rgb_bg"},{"doc":"gleamy_lights","title":"gleamy_lights","content":"","url":"gleamy_lights.html"},{"doc":"gleamy_lights/premixed","title":"bg_black","content":"pub fn bg_black(msg: String) -&gt; String\n ### Black background\nSynonyms:\ngleamy_lights/premixed.bg_black\ngleamy_lights/premixed bg_black","url":"gleamy_lights/premixed.html#bg_black"},{"doc":"gleamy_lights/premixed","title":"bg_blue","content":"pub fn bg_blue(msg: String) -&gt; String\n ### Blue background\nSynonyms:\ngleamy_lights/premixed.bg_blue\ngleamy_lights/premixed bg_blue","url":"gleamy_lights/premixed.html#bg_blue"},{"doc":"gleamy_lights/premixed","title":"bg_bright_cyan","content":"pub fn bg_bright_cyan(msg: String) -&gt; String\n ### Bright cyan background\nSynonyms:\ngleamy_lights/premixed.bg_bright_cyan\ngleamy_lights/premixed bg_bright_cyan","url":"gleamy_lights/premixed.html#bg_bright_cyan"},{"doc":"gleamy_lights/premixed","title":"bg_bright_orange","content":"pub fn bg_bright_orange(msg: String) -&gt; String\n ### Bright orange background\nSynonyms:\ngleamy_lights/premixed.bg_bright_orange\ngleamy_lights/premixed bg_bright_orange","url":"gleamy_lights/premixed.html#bg_bright_orange"},{"doc":"gleamy_lights/premixed","title":"bg_bright_red","content":"pub fn bg_bright_red(msg: String) -&gt; String\n ### Bright red background\nSynonyms:\ngleamy_lights/premixed.bg_bright_red\ngleamy_lights/premixed bg_bright_red","url":"gleamy_lights/premixed.html#bg_bright_red"},{"doc":"gleamy_lights/premixed","title":"bg_bright_white","content":"pub fn bg_bright_white(msg: String) -&gt; String\n ### Bright white background\nSynonyms:\ngleamy_lights/premixed.bg_bright_white\ngleamy_lights/premixed bg_bright_white","url":"gleamy_lights/premixed.html#bg_bright_white"},{"doc":"gleamy_lights/premixed","title":"bg_bright_yellow","content":"pub fn bg_bright_yellow(msg: String) -&gt; String\n ### Bright yellow background\nSynonyms:\ngleamy_lights/premixed.bg_bright_yellow\ngleamy_lights/premixed bg_bright_yellow","url":"gleamy_lights/premixed.html#bg_bright_yellow"},{"doc":"gleamy_lights/premixed","title":"bg_cyan","content":"pub fn bg_cyan(msg: String) -&gt; String\n ### Cyan background\nSynonyms:\ngleamy_lights/premixed.bg_cyan\ngleamy_lights/premixed bg_cyan","url":"gleamy_lights/premixed.html#bg_cyan"},{"doc":"gleamy_lights/premixed","title":"bg_dark_black","content":"pub fn bg_dark_black(msg: String) -&gt; String\n ### Dark black background\nSynonyms:\ngleamy_lights/premixed.bg_dark_black\ngleamy_lights/premixed bg_dark_black","url":"gleamy_lights/premixed.html#bg_dark_black"},{"doc":"gleamy_lights/premixed","title":"bg_error_red","content":"pub fn bg_error_red(msg: String) -&gt; String\n ### &quot;Error&quot; red background\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in error messages)\nSynonyms:\ngleamy_lights/premixed.bg_error_red\ngleamy_lights/premixed bg_error_red","url":"gleamy_lights/premixed.html#bg_error_red"},{"doc":"gleamy_lights/premixed","title":"bg_green","content":"pub fn bg_green(msg: String) -&gt; String\n ### Green background\nSynonyms:\ngleamy_lights/premixed.bg_green\ngleamy_lights/premixed bg_green","url":"gleamy_lights/premixed.html#bg_green"},{"doc":"gleamy_lights/premixed","title":"bg_lightblue","content":"pub fn bg_lightblue(msg: String) -&gt; String\n ### Light blue background\nSynonyms:\ngleamy_lights/premixed.bg_lightblue\ngleamy_lights/premixed bg_lightblue","url":"gleamy_lights/premixed.html#bg_lightblue"},{"doc":"gleamy_lights/premixed","title":"bg_lilac","content":"pub fn bg_lilac(msg: String) -&gt; String\n ### Lilac background\nSynonyms:\ngleamy_lights/premixed.bg_lilac\ngleamy_lights/premixed bg_lilac","url":"gleamy_lights/premixed.html#bg_lilac"},{"doc":"gleamy_lights/premixed","title":"bg_lime","content":"pub fn bg_lime(msg: String) -&gt; String\n ### Lime background\nSynonyms:\ngleamy_lights/premixed.bg_lime\ngleamy_lights/premixed bg_lime","url":"gleamy_lights/premixed.html#bg_lime"},{"doc":"gleamy_lights/premixed","title":"bg_magenta","content":"pub fn bg_magenta(msg: String) -&gt; String\n ### Magenta background\nSynonyms:\ngleamy_lights/premixed.bg_magenta\ngleamy_lights/premixed bg_magenta","url":"gleamy_lights/premixed.html#bg_magenta"},{"doc":"gleamy_lights/premixed","title":"bg_ok_green","content":"pub fn bg_ok_green(msg: String) -&gt; String\n ### &quot;OK&quot; green background\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in success messages)\nSynonyms:\ngleamy_lights/premixed.bg_ok_green\ngleamy_lights/premixed bg_ok_green","url":"gleamy_lights/premixed.html#bg_ok_green"},{"doc":"gleamy_lights/premixed","title":"bg_orange","content":"pub fn bg_orange(msg: String) -&gt; String\n ### Orange background\nSynonyms:\ngleamy_lights/premixed.bg_orange\ngleamy_lights/premixed bg_orange","url":"gleamy_lights/premixed.html#bg_orange"},{"doc":"gleamy_lights/premixed","title":"bg_pink","content":"pub fn bg_pink(msg: String) -&gt; String\n ### Pink background\nSynonyms:\ngleamy_lights/premixed.bg_pink\ngleamy_lights/premixed bg_pink","url":"gleamy_lights/premixed.html#bg_pink"},{"doc":"gleamy_lights/premixed","title":"bg_purple","content":"pub fn bg_purple(msg: String) -&gt; String\n ### Purple background\nSynonyms:\ngleamy_lights/premixed.bg_purple\ngleamy_lights/premixed bg_purple","url":"gleamy_lights/premixed.html#bg_purple"},{"doc":"gleamy_lights/premixed","title":"bg_red","content":"pub fn bg_red(msg: String) -&gt; String\n ### Red background\nSynonyms:\ngleamy_lights/premixed.bg_red\ngleamy_lights/premixed bg_red","url":"gleamy_lights/premixed.html#bg_red"},{"doc":"gleamy_lights/premixed","title":"bg_white","content":"pub fn bg_white(msg: String) -&gt; String\n ### White background\nSynonyms:\ngleamy_lights/premixed.bg_white\ngleamy_lights/premixed bg_white","url":"gleamy_lights/premixed.html#bg_white"},{"doc":"gleamy_lights/premixed","title":"bg_yellow","content":"pub fn bg_yellow(msg: String) -&gt; String\n ### Yellow background\nSynonyms:\ngleamy_lights/premixed.bg_yellow\ngleamy_lights/premixed bg_yellow","url":"gleamy_lights/premixed.html#bg_yellow"},{"doc":"gleamy_lights/premixed","title":"text_black","content":"pub fn text_black(msg: String) -&gt; String\n ### Black text\nSynonyms:\ngleamy_lights/premixed.text_black\ngleamy_lights/premixed text_black","url":"gleamy_lights/premixed.html#text_black"},{"doc":"gleamy_lights/premixed","title":"text_blue","content":"pub fn text_blue(msg: String) -&gt; String\n ### Blue text\nSynonyms:\ngleamy_lights/premixed.text_blue\ngleamy_lights/premixed text_blue","url":"gleamy_lights/premixed.html#text_blue"},{"doc":"gleamy_lights/premixed","title":"text_bright_cyan","content":"pub fn text_bright_cyan(msg: String) -&gt; String\n ### Bright cyan text\nSynonyms:\ngleamy_lights/premixed.text_bright_cyan\ngleamy_lights/premixed text_bright_cyan","url":"gleamy_lights/premixed.html#text_bright_cyan"},{"doc":"gleamy_lights/premixed","title":"text_bright_orange","content":"pub fn text_bright_orange(msg: String) -&gt; String\n ### Bright orange text\nSynonyms:\ngleamy_lights/premixed.text_bright_orange\ngleamy_lights/premixed text_bright_orange","url":"gleamy_lights/premixed.html#text_bright_orange"},{"doc":"gleamy_lights/premixed","title":"text_bright_red","content":"pub fn text_bright_red(msg: String) -&gt; String\n ### Bright red text\nSynonyms:\ngleamy_lights/premixed.text_bright_red\ngleamy_lights/premixed text_bright_red","url":"gleamy_lights/premixed.html#text_bright_red"},{"doc":"gleamy_lights/premixed","title":"text_bright_white","content":"pub fn text_bright_white(msg: String) -&gt; String\n ### Bright white text\nSynonyms:\ngleamy_lights/premixed.text_bright_white\ngleamy_lights/premixed text_bright_white","url":"gleamy_lights/premixed.html#text_bright_white"},{"doc":"gleamy_lights/premixed","title":"text_bright_yellow","content":"pub fn text_bright_yellow(msg: String) -&gt; String\n ### Bright yellow text\nSynonyms:\ngleamy_lights/premixed.text_bright_yellow\ngleamy_lights/premixed text_bright_yellow","url":"gleamy_lights/premixed.html#text_bright_yellow"},{"doc":"gleamy_lights/premixed","title":"text_cyan","content":"pub fn text_cyan(msg: String) -&gt; String\n ### Cyan text\nSynonyms:\ngleamy_lights/premixed.text_cyan\ngleamy_lights/premixed text_cyan","url":"gleamy_lights/premixed.html#text_cyan"},{"doc":"gleamy_lights/premixed","title":"text_dark_black","content":"pub fn text_dark_black(msg: String) -&gt; String\n ### Dark black text\nSynonyms:\ngleamy_lights/premixed.text_dark_black\ngleamy_lights/premixed text_dark_black","url":"gleamy_lights/premixed.html#text_dark_black"},{"doc":"gleamy_lights/premixed","title":"text_error_red","content":"pub fn text_error_red(msg: String) -&gt; String\n ### &quot;Error&quot; red text\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in error messages)///\nSynonyms:\ngleamy_lights/premixed.text_error_red\ngleamy_lights/premixed text_error_red","url":"gleamy_lights/premixed.html#text_error_red"},{"doc":"gleamy_lights/premixed","title":"text_green","content":"pub fn text_green(msg: String) -&gt; String\n ### Green text\nSynonyms:\ngleamy_lights/premixed.text_green\ngleamy_lights/premixed text_green","url":"gleamy_lights/premixed.html#text_green"},{"doc":"gleamy_lights/premixed","title":"text_lightblue","content":"pub fn text_lightblue(msg: String) -&gt; String\n ### Light blue text\nSynonyms:\ngleamy_lights/premixed.text_lightblue\ngleamy_lights/premixed text_lightblue","url":"gleamy_lights/premixed.html#text_lightblue"},{"doc":"gleamy_lights/premixed","title":"text_lilac","content":"pub fn text_lilac(msg: String) -&gt; String\n ### Lilac text\nSynonyms:\ngleamy_lights/premixed.text_lilac\ngleamy_lights/premixed text_lilac","url":"gleamy_lights/premixed.html#text_lilac"},{"doc":"gleamy_lights/premixed","title":"text_lime","content":"pub fn text_lime(msg: String) -&gt; String\n ### Lime text\nSynonyms:\ngleamy_lights/premixed.text_lime\ngleamy_lights/premixed text_lime","url":"gleamy_lights/premixed.html#text_lime"},{"doc":"gleamy_lights/premixed","title":"text_magenta","content":"pub fn text_magenta(msg: String) -&gt; String\n ### Magenta text\nSynonyms:\ngleamy_lights/premixed.text_magenta\ngleamy_lights/premixed text_magenta","url":"gleamy_lights/premixed.html#text_magenta"},{"doc":"gleamy_lights/premixed","title":"text_ok_green","content":"pub fn text_ok_green(msg: String) -&gt; String\n ### &quot;OK&quot; green text\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in success messages)\nSynonyms:\ngleamy_lights/premixed.text_ok_green\ngleamy_lights/premixed text_ok_green","url":"gleamy_lights/premixed.html#text_ok_green"},{"doc":"gleamy_lights/premixed","title":"text_orange","content":"pub fn text_orange(msg: String) -&gt; String\n ### Orange text\nSynonyms:\ngleamy_lights/premixed.text_orange\ngleamy_lights/premixed text_orange","url":"gleamy_lights/premixed.html#text_orange"},{"doc":"gleamy_lights/premixed","title":"text_pink","content":"pub fn text_pink(msg: String) -&gt; String\n ### Pink text\nSynonyms:\ngleamy_lights/premixed.text_pink\ngleamy_lights/premixed text_pink","url":"gleamy_lights/premixed.html#text_pink"},{"doc":"gleamy_lights/premixed","title":"text_purple","content":"pub fn text_purple(msg: String) -&gt; String\n ### Purple text\nSynonyms:\ngleamy_lights/premixed.text_purple\ngleamy_lights/premixed text_purple","url":"gleamy_lights/premixed.html#text_purple"},{"doc":"gleamy_lights/premixed","title":"text_red","content":"pub fn text_red(msg: String) -&gt; String\n ### Red text\nSynonyms:\ngleamy_lights/premixed.text_red\ngleamy_lights/premixed text_red","url":"gleamy_lights/premixed.html#text_red"},{"doc":"gleamy_lights/premixed","title":"text_white","content":"pub fn text_white(msg: String) -&gt; String\n ### White text\nSynonyms:\ngleamy_lights/premixed.text_white\ngleamy_lights/premixed text_white","url":"gleamy_lights/premixed.html#text_white"},{"doc":"gleamy_lights/premixed","title":"text_yellow","content":"pub fn text_yellow(msg: String) -&gt; String\n ### Yellow text\nSynonyms:\ngleamy_lights/premixed.text_yellow\ngleamy_lights/premixed text_yellow","url":"gleamy_lights/premixed.html#text_yellow"},{"doc":"gleamy_lights/premixed","title":"gleamy_lights/premixed","content":" # Pre-mixed colors\n\n A palette of pre-mixed colors, that I used before.","url":"gleamy_lights/premixed.html"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_aged_plastic_yellow_gl","content":"pub fn bg_aged_plastic_yellow_gl(msg: String) -&gt; String\n ### &quot;Aged plastic yellow&quot; background\n Hex: `#fffbe8`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_aged_plastic_yellow_gl\ngleamy_lights/premixed/gleam_colors bg_aged_plastic_yellow_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_aged_plastic_yellow_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_black_gl","content":"pub fn bg_black_gl(msg: String) -&gt; String\n ### &quot;Black&quot; background\n Hex: `#1e1e1e`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_black_gl\ngleamy_lights/premixed/gleam_colors bg_black_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_black_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_blacker_gl","content":"pub fn bg_blacker_gl(msg: String) -&gt; String\n ### &quot;Blacker&quot; background\n Hex: `#151515`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_blacker_gl\ngleamy_lights/premixed/gleam_colors bg_blacker_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_blacker_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_charcoal_gl","content":"pub fn bg_charcoal_gl(msg: String) -&gt; String\n ### &quot;Charcoal&quot; background\n Hex: `#2f2f2f`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_charcoal_gl\ngleamy_lights/premixed/gleam_colors bg_charcoal_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_charcoal_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_faff_pink_gl","content":"pub fn bg_faff_pink_gl(msg: String) -&gt; String\n ### &quot;Faff pink&quot; background\n Hex: `#ffaff3`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_faff_pink_gl\ngleamy_lights/premixed/gleam_colors bg_faff_pink_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_faff_pink_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_underwater_blue_gl","content":"pub fn bg_underwater_blue_gl(msg: String) -&gt; String\n ### &quot;Underwater blue&quot; background\n Hex: `#292d3e`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_underwater_blue_gl\ngleamy_lights/premixed/gleam_colors bg_underwater_blue_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_underwater_blue_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_unexpected_aubergine_gl","content":"pub fn bg_unexpected_aubergine_gl(msg: String) -&gt; String\n ### &quot;Unexpected aubergine&quot; background\n Hex: `#584355`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_unexpected_aubergine_gl\ngleamy_lights/premixed/gleam_colors bg_unexpected_aubergine_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_unexpected_aubergine_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_unnamed_blue_gl","content":"pub fn bg_unnamed_blue_gl(msg: String) -&gt; String\n ### &quot;Unnamed blue&quot; background\n Hex: `#a6f0fc`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_unnamed_blue_gl\ngleamy_lights/premixed/gleam_colors bg_unnamed_blue_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_unnamed_blue_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"bg_white_gl","content":"pub fn bg_white_gl(msg: String) -&gt; String\n ### &quot;White&quot; background\n Hex: `#fefefc`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.bg_white_gl\ngleamy_lights/premixed/gleam_colors bg_white_gl","url":"gleamy_lights/premixed/gleam_colors.html#bg_white_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_aged_plastic_yellow_gl","content":"pub fn text_aged_plastic_yellow_gl(msg: String) -&gt; String\n ### &quot;Aged plastic yellow&quot; text\n Hex: `#fffbe8`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_aged_plastic_yellow_gl\ngleamy_lights/premixed/gleam_colors text_aged_plastic_yellow_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_aged_plastic_yellow_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_black_gl","content":"pub fn text_black_gl(msg: String) -&gt; String\n ### &quot;Black&quot; text\n Hex: `#1e1e1e`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_black_gl\ngleamy_lights/premixed/gleam_colors text_black_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_black_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_blacker_gl","content":"pub fn text_blacker_gl(msg: String) -&gt; String\n ### &quot;Blacker&quot; text\n Hex: `#151515`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_blacker_gl\ngleamy_lights/premixed/gleam_colors text_blacker_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_blacker_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_charcoal_gl","content":"pub fn text_charcoal_gl(msg: String) -&gt; String\n ### &quot;Charcoal&quot; text\n Hex: `#2f2f2f`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_charcoal_gl\ngleamy_lights/premixed/gleam_colors text_charcoal_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_charcoal_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_faff_pink_gl","content":"pub fn text_faff_pink_gl(msg: String) -&gt; String\n ### &quot;Faff pink&quot; text\n Hex: `#ffaff3`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_faff_pink_gl\ngleamy_lights/premixed/gleam_colors text_faff_pink_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_faff_pink_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_underwater_blue_gl","content":"pub fn text_underwater_blue_gl(msg: String) -&gt; String\n ### &quot;Underwater blue&quot; text\n Hex: `#292d3e`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_underwater_blue_gl\ngleamy_lights/premixed/gleam_colors text_underwater_blue_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_underwater_blue_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_unexpected_aubergine_gl","content":"pub fn text_unexpected_aubergine_gl(msg: String) -&gt; String\n ### &quot;Unexpected aubergine&quot; text\n Hex: `#584355`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_unexpected_aubergine_gl\ngleamy_lights/premixed/gleam_colors text_unexpected_aubergine_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_unexpected_aubergine_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_unnamed_blue_gl","content":"pub fn text_unnamed_blue_gl(msg: String) -&gt; String\n ### &quot;Unnamed blue&quot; text\n Hex: `#a6f0fc`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_unnamed_blue_gl\ngleamy_lights/premixed/gleam_colors text_unnamed_blue_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_unnamed_blue_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"text_white_gl","content":"pub fn text_white_gl(msg: String) -&gt; String\n ### &quot;White&quot; text\n Hex: `#fefefc`\nSynonyms:\ngleamy_lights/premixed/gleam_colors.text_white_gl\ngleamy_lights/premixed/gleam_colors text_white_gl","url":"gleamy_lights/premixed/gleam_colors.html#text_white_gl"},{"doc":"gleamy_lights/premixed/gleam_colors","title":"gleamy_lights/premixed/gleam_colors","content":" # Gleam colors\n\n Especially colored after Gleam&#39;s color palette.\n\n `#ffaff3` - Faff Pink\n\n `#fefefc` - White\n\n `#a6f0fc` - Unnamed Blue\n\n `#fffbe8` - Aged Plastic Yellow\n\n `#584355` - Unexpected Aubergine\n\n `#292d3e` - Underwater Blue\n\n `#2f2f2f` - Charcoal\n\n `#1e1e1e` - Black\n\n `#151515` - Blacker\n\n\n\n See: &lt;https://gleam.run/branding/&gt;","url":"gleamy_lights/premixed/gleam_colors.html"}]);